Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms.test
Class SignedDataStreamTest

    java.lang.Object
      TestCase
          org.bouncycastle.cms.test.SignedDataStreamTest

    public class SignedDataStreamTest

extends TestCase

Constructor Summary
`SignedDataStreamTest(java.lang.String name)`

Method Summary
`static Test` `suite()`
`void` `testAttributeGenerators()`
`void` `testCertOrdering1()`
`void` `testCertOrdering2()`
`void` `testCertStoreReplacement()`
`void` `testDSANoAttributes()`
`void` `testEncapsulatedCertStoreReplacement()`
`void` `testEncapsulatedSignerStoreReplacement()`
`void` `testSHA1AndMD5WithRSA()`
`void` `testSha1EncapsulatedSignature()`
`void` `testSHA1WithRSA()`
`void` `testSHA1WithRSAEncapsulated()`
`void` `testSHA1WithRSAEncapsulatedBuffered()`
`void` `testSHA1WithRSAEncapsulatedBufferedStream()`
`void` `testSHA1WithRSAEncapsulatedSubjectKeyID()`
`void` `testSHA1WithRSANoAttributes()`
`void` `testSHA1WithRSANonData()`
`void` `testSignerStoreReplacement()`
`void` `testWithAttributeCertificate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedDataStreamTest

    public SignedDataStreamTest(java.lang.String name)

Method Detail

### testSha1EncapsulatedSignature

    public void testSha1EncapsulatedSignature()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSANoAttributes

    public void testSHA1WithRSANoAttributes()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDSANoAttributes

    public void testDSANoAttributes()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSA

    public void testSHA1WithRSA()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSANonData

    public void testSHA1WithRSANonData()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1AndMD5WithRSA

    public void testSHA1AndMD5WithRSA()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulatedBufferedStream

    public void testSHA1WithRSAEncapsulatedBufferedStream()
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulatedBuffered

    public void testSHA1WithRSAEncapsulatedBuffered()
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulated

    public void testSHA1WithRSAEncapsulated()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSHA1WithRSAEncapsulatedSubjectKeyID

    public void testSHA1WithRSAEncapsulatedSubjectKeyID()
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAttributeGenerators

    public void testAttributeGenerators()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWithAttributeCertificate

    public void testWithAttributeCertificate()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSignerStoreReplacement

    public void testSignerStoreReplacement()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEncapsulatedSignerStoreReplacement

    public void testEncapsulatedSignerStoreReplacement()
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCertStoreReplacement

    public void testCertStoreReplacement()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEncapsulatedCertStoreReplacement

    public void testEncapsulatedCertStoreReplacement()
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCertOrdering1

    public void testCertOrdering1()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testCertOrdering2

    public void testCertOrdering2()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### suite

    public static Test suite()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45